#! /bin/bash -xue

type nodet_mpi
type massoud

cat > export_png.mcr << 'EOF'
#!MC 1120
$!EXPORTSETUP IMAGEWIDTH = 850
$!EXPORTSETUP EXPORTFORMAT = PNG
$!EXPORT EXPORTREGION = ALLFRAMES
EOF

trap "cat ../run_tutorial.out" EXIT

cd Steady
  ln -s ../Grid/wing-445.6.{bc,cogsg,mapbc} .
  mpirun -np 12 nodet_mpi \
    --write_massoud_file        >  ../run_tutorial.out 2>&1
cd ..

cd Modes
  cp ../Steady/wing-445.6_massoud_body1.dat .
  ifort -r8 -o Mode Mode.f
  ./Mode                        >> ../run_tutorial.out 2>&1
cd ..

cd Q=75.0
  ln -s   ../Grid/wing-445.6.{bc,cogsg,mapbc} .
  ln -s  ../Modes/wing-445.6_body1_mode* .
  cp    ../Steady/wing-445.6.flow .
  mpirun -np 12 nodet_mpi \
    --aeroelastic_internal >> ../run_tutorial.out 2>&1
  tec360 -quiet -b -p ../export_png.mcr \
    -y gen_disp.png gen_disp.lay
cd ..

trap - EXIT
